## pyspread 1.99.0.0

=== apidocs/requirements.txt ===
sphinx

sphinxcontrib-fulltoc
sphinxcontrib-autoprogram
sphinxcontrib-blockdiag
sphinxcontrib-napoleon


recommonmark
sphinxbootstrap4theme

## pyspread 0.2.2

=== debian/changelog ===
pyspread (0.2.2-1) unstable; urgency=low

  * Initial release. (Closes: #601950)

 -- Andreas Noteng <andreas@noteng.no>  Tue, 24 Apr 2012 10:52:20 +0200

=== debian/control ===
Source: pyspread
Section: python
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50), python (>= 2.6.6-3~)
X-Python-Version: >= 2.6
Standards-Version: 3.9.3
Homepage: http://pyspread.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/python-apps/packages/pyspread/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/

Package: pyspread
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-numpy (>= 1:1.1.0),
 python-wxgtk2.8 (>= 2.8.10.1), python-pyme (>= 0.8.1)
Recommends: python-gmpy (>= 1.1.0), python-rpy (>= 1.0.3)
Description: cross-platform Python spreadsheet application
 Pyspread is a cross-platform Python spreadsheet application. Instead of 
 spreadsheet formulas, Python expressions are entered into the spreadsheet 
 cells. Each expression returns a Python object that can be accessed from 
 other cells. These objects can represent anything including lists or matrices.

=== debian/rules ===
#!/usr/bin/make -f
PYVERS := $(shell pyversions -i)

override_dh_auto_install:
	python setup.py install --root=debian/pyspread --install-layout=deb --install-lib=/usr/share/ --install-scripts=/usr/share/
	rm -rf debian/pyspread/usr/share/__init__.py
	rm -rf debian/pyspread/usr/share/*.egg-info

override_dh_auto_build:

%:
	dh $@ --with python2

## pyspread 0.2.3

=== debian/changelog ===
pyspread (0.2.3-2) unstable; urgency=low

  [ Andreas Noteng ]
  * Upload to unstable
  * Add package type to the Lintian override
  * Add keywords to the .desktop file

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Andreas Noteng <andreas@noteng.no>  Fri, 10 May 2013 18:56:38 +0200

pyspread (0.2.3-1) experimental; urgency=low

  * New upstream release
  * Move the translations to /usr/share/locale, thanks to Jakub Wilk for the
    patch
  * Fix typos in upstream documentation, thanks to Jakub Wilk for the patch
    - documentation_typos.patch
  * After upgrade ~/.pyspreadrc needs to be deleted
  * Update Python dependencies to >= 2.7
  * Change menu category from development to office (Closes: #674463)
  * New dependency matplotlib, python-gnupg
  * Removed suggested dependencies gmpy and rpy
  * Removed dependency python-pyme as it has been replaced by python-gnupg
  * Standards-Version bumped to 3.9.4
    - Changed versioned build dependency debhelper to 8.1.0
  * Updated copyright file
  * Updated manpage
  * Refreshed patches
  * PySpread no longer saves sensitive data in ~/.pyspreadrc (Closes: #701650)
  * Use local version of Python tutorial if it is available (Closes: #704928)
    - python_tutorial.patch
  * Update path to online Python tutorial (Closes: #704929)
    - python_tutorial.patch

 -- Andreas Noteng <andreas@noteng.no>  Wed, 24 Apr 2013 08:33:07 +0200

=== debian/control ===
Source: pyspread
Section: python
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 8.1.0), python (>= 2.7)
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://pyspread.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyspread/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/

Package: pyspread
Architecture: all
Depends: python-gnupg,
         python-matplotlib,
         python-numpy (>= 1:1.1.0),
         python-wxgtk2.8 (>= 2.8.10.1),
         ${misc:Depends},
         ${python:Depends}
Description: cross-platform Python spreadsheet application
 Pyspread is a cross-platform Python spreadsheet application. Instead of
 spreadsheet formulas, Python expressions are entered into the spreadsheet
 cells. Each expression returns a Python object that can be accessed from
 other cells. These objects can represent anything including lists or matrices.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 
 override_dh_auto_install:
 	python setup.py install --root=debian/pyspread --install-layout=deb --install-lib=/usr/share/ --install-scripts=/usr/share/
+	cd debian/pyspread/usr/share/pyspread && mv locale ..
 	rm -rf debian/pyspread/usr/share/__init__.py
 	rm -rf debian/pyspread/usr/share/*.egg-info

=== debian/watch ===
version=3
http://githubredir.debian.net/github/manns/pyspread/v(.+).tar.gz

## pyspread 0.3.2

=== debian/changelog ===
pyspread (0.3.2-2) unstable; urgency=low

  * Add python-jedi and python-xlwt to Recommends
  * Add python-mpltoolkits.basemap to Suggests (needed by one of the examples)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 02 Aug 2014 15:40:07 +0200

pyspread (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Delete tests_font_check.patch, fixed upstream
  * Delete gpg_uid_to_key_id.patch, fixed upstream

 -- Andreas Noteng <andreas@noteng.no>  Sat, 19 Jul 2014 08:41:02 +0200

pyspread (0.2.6-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Delete documentation_typos.patch, fixed upstream
  * Add DEP-8 tests
  * Remove runstests.py during clean and regenerate during test run
  * Add recommends: python-xlrd
  * Add suggests: ttf-mscorefonts-installer
  * Make sure tests don't fail if ttf-mscorefonts-installer is not installed
    (tests_font_check.patch)
  * Switch from using key uid to key id (Closes: #739907)
    (gpg_uid_to_key_id.patch)
  * Standards-Version bumped to 3.9.5 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 08 Mar 2014 13:49:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8.1.0), python (>= 2.7)
+Build-Depends: debhelper (>= 8.1.0), python (>= 2.7), python-pytest
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 Homepage: http://pyspread.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyspread/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/
@@ -18,6 +19,8 @@
          python-wxgtk2.8 (>= 2.8.10.1),
          ${misc:Depends},
          ${python:Depends}
+Recommends: python-xlrd, python-xlwt, python-jedi
+Suggests: ttf-mscorefonts-installer, python-mpltoolkits.basemap
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of
  spreadsheet formulas, Python expressions are entered into the spreadsheet

## pyspread 0.3.3

=== debian/changelog ===
pyspread (0.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 06 Sep 2014 19:47:00 +0200

pyspread (0.3.2-3) unstable; urgency=medium

  * Rebuild using wxpython3.0 (Closes: #759050)

 -- Andreas Noteng <andreas@noteng.no>  Tue, 26 Aug 2014 22:15:33 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Depends: python-gnupg,
          python-matplotlib,
          python-numpy (>= 1:1.1.0),
-         python-wxgtk2.8 (>= 2.8.10.1),
+         python-wxgtk3.0,
          ${misc:Depends},
          ${python:Depends}
 Recommends: python-xlrd, python-xlwt, python-jedi

=== debian/rules ===
#!/usr/bin/make -f
PYVERS := $(shell pyversions -i)
VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')

override_dh_auto_install:
	python setup.py install --root=debian/pyspread --install-layout=deb --install-lib=/usr/share/ --install-scripts=/usr/share/
	cd debian/pyspread/usr/share/pyspread && mv locale ..
	rm -rf debian/pyspread/usr/share/__init__.py
	rm -rf debian/pyspread/usr/share/*.egg-info

#get-orig-source:
#	mkdir -p get-orig-source
#	uscan --force-download --rename --destdir=get-orig-source --upstream-version=$(VER) &&\
#	cd get-orig-source &&\
#	tar -xzvf pyspread*orig.tar.gz &&\
#	cd pyspread-$(VER) &&\
#	rm -f runtests.py &&\
#	cd .. &&\
#	tar Jcf ../pyspread_$(VER).orig.tar.xz pyspread-$(VER)
#	rm -rf get-orig-source

override_dh_auto_clean:
	rm -f test/pyspread/src/actions/test/test1.pys.sig
	rm -f test/pyspread/src/actions/test/test4.pys.sig
	rm -f test/pyspread/src/lib/test/test1.pys.sig
	rm -f test/runtests.py
	rm -f runtest.py
	dh_auto_clean

%:
	dh $@ --with python2

## pyspread 0.4.3

=== debian/changelog ===
pyspread (0.4.3-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Thu, 04 Jun 2015 18:55:07 +0200

pyspread (0.4.1-1) unstable; urgency=medium

  * New upstream release
  * Add dependency gir1.2-pango-1.0 (Closes: #781065)
  * Modify watch file to correctly check the signature of the upstream tarball
  * Refresh patches

 -- Andreas Noteng <andreas@noteng.no>  Tue, 28 Apr 2015 20:24:54 +0200

pyspread (0.4-2) unstable; urgency=medium

  * Add missing Recommends: Python-rsvg
  * Add missing dependencies python-cairo, libpangocairo-1.0-0 and
    libcairo-gobject2 (Closes: #780236)

 -- Andreas Noteng <andreas@noteng.no>  Wed, 11 Mar 2015 20:09:02 +0100

pyspread (0.4-1) unstable; urgency=medium

  * New upstream release
  * Updated the watch file with new pypi upstream url
  * Bump Standards-Version to 3.9.6 (no change)
  * Add fix from upstream to Norwegian translation

 -- Andreas Noteng <andreas@noteng.no>  Mon, 09 Mar 2015 22:26:54 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.0), python (>= 2.7), python-pytest
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://pyspread.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyspread/trunk/
@@ -13,14 +13,17 @@
 
 Package: pyspread
 Architecture: all
-Depends: python-gnupg,
+Depends: gir1.2-pango-1.0,
+         libpangocairo-1.0-0,
+         python-cairo,
+         python-gnupg,
          python-matplotlib,
          python-numpy (>= 1:1.1.0),
          python-wxgtk3.0,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-xlrd, python-xlwt, python-jedi
-Suggests: ttf-mscorefonts-installer, python-mpltoolkits.basemap
+Recommends: python-jedi, python-rsvg, python-xlrd, python-xlwt
+Suggests: python-mpltoolkits.basemap, ttf-mscorefonts-installer
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of
  spreadsheet formulas, Python expressions are entered into the spreadsheet

## pyspread 1.0.1

=== debian/changelog ===
pyspread (1.0.1-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Delete patch included upstream (fix_autocompletion.patch)
  * Add recommends: gnupg-agent
    - Gnupg-agent is necessary for signing with passphrase-protected keys. 

 -- Andreas Noteng <andreas@noteng.no>  Sat, 09 Jan 2016 23:28:53 +0100

pyspread (1.0-2) unstable; urgency=medium

  * Fix autocompletion (Closes: #804449)
    (fix_autocompletion.patch)
  * Add minimum version 0.9.0-1 to Recommends: python-jedi

 -- Andreas Noteng <andreas@noteng.no>  Wed, 11 Nov 2015 22:59:44 +0100

pyspread (1.0-1) unstable; urgency=medium

  * New upstream release
  * Remove XS-Testsuite header, no longer necessary 
  * Add missing libcairo-gobject2 dependency

 -- Andreas Noteng <andreas@noteng.no>  Sun, 08 Nov 2015 00:13:25 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper (>= 8.1.0), python (>= 2.7), python-pytest
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.6
-XS-Testsuite: autopkgtest
 Homepage: http://pyspread.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyspread/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/
@@ -14,6 +13,7 @@
 Package: pyspread
 Architecture: all
 Depends: gir1.2-pango-1.0,
+         libcairo-gobject2,
          libpangocairo-1.0-0,
          python-cairo,
          python-gnupg,
@@ -22,7 +22,7 @@
          python-wxgtk3.0,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-jedi, python-rsvg, python-xlrd, python-xlwt
+Recommends: python-jedi (>=0.9.0-1), python-rsvg, python-xlrd, python-xlwt, gnupg-agent
 Suggests: python-mpltoolkits.basemap, ttf-mscorefonts-installer
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 PYVERS := $(shell pyversions -i)
 VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')
+
+override_dh_auto_configure:
+	msgfmt -o pyspread/locale/nb/LC_MESSAGES/pyspread.mo pyspread/po/nb.po
+	msgfmt -o pyspread/locale/nn/LC_MESSAGES/pyspread.mo pyspread/po/nn.po
+	dh_auto_configure
 
 override_dh_auto_install:
 	python setup.py install --root=debian/pyspread --install-layout=deb --install-lib=/usr/share/ --install-scripts=/usr/share/

=== debian/tests/control ===
Tests: runtests.py
Depends: python-pytest, xvfb, xauth, @

## pyspread 1.0.3

=== debian/changelog ===
pyspread (1.0.3-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add missing dh-python to build-depends.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 29 Sep 2016 17:39:12 -0700

pyspread (1.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Tue, 10 May 2016 21:36:45 +0200

pyspread (1.0.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 3.9.7 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 06 Mar 2016 22:27:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8.1.0), python (>= 2.7), python-pytest
+Build-Depends: debhelper (>= 8.1.0), python (>= 2.7), python-pytest, dh-python
 X-Python-Version: >= 2.7
 Standards-Version: 3.9.6
 Homepage: http://pyspread.sourceforge.net/
@@ -22,7 +22,11 @@
          python-wxgtk3.0,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-jedi (>=0.9.0-1), python-rsvg, python-xlrd, python-xlwt, gnupg-agent
+Recommends: python-jedi (>=0.9.0-1),
+ python-rsvg,
+ python-xlrd,
+ python-xlwt,
+ gnupg-agent
 Suggests: python-mpltoolkits.basemap, ttf-mscorefonts-installer
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of

## pyspread 1.1

=== debian/changelog ===
pyspread (1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove python-rsvg dependency due to deprecation in debian (Closes: #844149)
  * Add python-gtk2 dependency (Closes: #802424)
  * Bump Standards-Version to 3.9.8 (no change)
  * Bump debhelper compat to 9
  * Remove menu file

 -- Andreas Noteng <andreas@noteng.no>  Fri, 17 Feb 2017 23:33:41 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 8.1.0), python (>= 2.7), python-pytest, dh-python
+Build-Depends: debhelper (>= 9.20150101+deb8u2), python (>= 2.7), python-pytest
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://pyspread.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyspread/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/
@@ -20,13 +20,10 @@
          python-matplotlib,
          python-numpy (>= 1:1.1.0),
          python-wxgtk3.0,
+         python-gtk2,
          ${misc:Depends},
          ${python:Depends}
-Recommends: python-jedi (>=0.9.0-1),
- python-rsvg,
- python-xlrd,
- python-xlwt,
- gnupg-agent
+Recommends: python-jedi (>=0.9.0-1), python-xlrd, python-xlwt, gnupg-agent
 Suggests: python-mpltoolkits.basemap, ttf-mscorefonts-installer
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of

## pyspread 1.1.1

=== debian/changelog ===
pyspread (1.1.1-1) unstable; urgency=medium

  * New upstream release 
  * Update package homepage
  * Bump Standards-Version to 4.1.3 (update URLs to HTTPS)

 -- Andreas Noteng <andreas@noteng.no>  Mon, 12 Feb 2018 23:08:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.20150101+deb8u2), python (>= 2.7), python-pytest
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
-Homepage: http://pyspread.sourceforge.net/
+Standards-Version: 4.1.3
+Homepage: https://manns.github.io/pyspread/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyspread/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pyspread/trunk/
 
 Package: pyspread
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,11 @@
 VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')
 
 override_dh_auto_configure:
-	msgfmt -o pyspread/locale/nb/LC_MESSAGES/pyspread.mo pyspread/po/nb.po
-	msgfmt -o pyspread/locale/nn/LC_MESSAGES/pyspread.mo pyspread/po/nn.po
 	dh_auto_configure
 
 override_dh_auto_install:
 	python setup.py install --root=debian/pyspread --install-layout=deb --install-lib=/usr/share/ --install-scripts=/usr/share/
-	cd debian/pyspread/usr/share/pyspread && mv locale ..
+#	cd debian/pyspread/usr/share/pyspread && mv locale ..
 	rm -rf debian/pyspread/usr/share/__init__.py
 	rm -rf debian/pyspread/usr/share/*.egg-info

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/pyspread/pyspread-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyspread 1.1.3

=== debian/changelog ===
pyspread (1.1.3-4) unstable; urgency=medium

  [ Andreas Noteng ]
  * Change GIT-repo to PAPT

  [ Sandro Tosi ]
  * debian/control
    - drop suggests on python-mpltoolkits.basemap, we can add it back when
      pyspread migrates to Python 3

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Aug 2019 20:53:38 -0400

pyspread (1.1.3-3) unstable; urgency=medium

  * Move locale files to the correct directory

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2019 05:59:49 +0200

pyspread (1.1.3-2) unstable; urgency=medium

  * Source only upload to allow migration to testing
  * Cleanup
  * Refresh debian/copyright

 -- Andreas Noteng <andreas@noteng.no>  Sat, 10 Aug 2019 03:57:05 +0200

pyspread (1.1.3-1) unstable; urgency=medium

  * New upstream version (Closes: #921692)
  * Switch debian repos to salsa
  * Bump Standards-Version to 4.4.0 (no change)
  * Bump compat level to 12 and use new way of setting compat in depends
  * Refresh patches

 -- Andreas Noteng <andreas@noteng.no>  Sun, 04 Aug 2019 10:40:11 +0200

=== debian/control ===
Source: pyspread
Section: python
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 12.2.3),
               debhelper-compat (=12),
               dh-python,
               python (>= 2.7),
#               python-pytest,
               python-setuptools
Standards-Version: 4.4.0
Homepage: https://manns.github.io/pyspread/
Vcs-Git: https://salsa.debian.org/python-team/applications/pyspread
Vcs-Browser: https://salsa.debian.org/python-team/applications/pyspread.git

Package: pyspread
Architecture: all
Depends: gir1.2-pango-1.0,
         libcairo-gobject2,
         libpangocairo-1.0-0,
         python,
         python-cairo (>= 1.8.8),
         python-gnupg (>= 0.3.0),
         python-gtk2,
         python-matplotlib (>= 1.1.1),
         python-numpy (>= 1:1.1.0),
         python-wxgtk3.0,
         ${misc:Depends},
         ${python:Depends}
Recommends: gnupg-agent,
            python-enchant (>= 1.1),
            python-jedi (>=0.8.0),
            python-xlrd (>= 0.9.2),
            python-xlwt (>= 0.9.2)
Suggests: ttf-mscorefonts-installer
Description: cross-platform Python spreadsheet application
 Pyspread is a cross-platform Python spreadsheet application. Instead of
 spreadsheet formulas, Python expressions are entered into the spreadsheet
 cells. Each expression returns a Python object that can be accessed from
 other cells. These objects can represent anything including lists or matrices.

=== debian/rules ===
#!/usr/bin/make -f
#PYVERS := $(shell pyversions -i)
#VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')

override_dh_auto_install:
	dh_auto_install
	cd debian/pyspread/usr/share/pyspread && mv locale ..
	rm -rf debian/pyspread/usr/share/pyspread/__init__.py
	rm -rf debian/pyspread/usr/share/pyspread-*.egg-info
	rm debian/pyspread/usr/share/pyspread/pyspread
	cp debian/pyspread/usr/share/pyspread/src/pyspread.py debian/pyspread/usr/share/pyspread/pyspread
	chmod 755 debian/pyspread/usr/share/pyspread/pyspread

export PYBUILD_NAME=pyspread
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ --install-scripts=/usr/share/ --root=debian/pyspread
export PYBUILD_DISABLE_python2=test

override_dh_python:
	dh_python --shebang=/usr/bin/python

%:
	dh $@ --with python2 --buildsystem=pybuild --ext-sub-pattern=__pycache__

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/pyspread/pyspread-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pyspread 1.99.0.0

=== debian/changelog ===
pyspread (1.99.0.0-2) unstable; urgency=medium

  * Fix incorrect path to icon in desktop file
  * Mention matplotlib template files in d/copyright
  * Add d/upstream/metadata
  * Remove old GnuPG dependency
  * Install mime types

 -- Andreas Noteng <andreas@noteng.no>  Thu, 02 Jan 2020 11:30:05 +0100

pyspread (1.99.0.0-1) unstable; urgency=medium

  * New upstream release
    - Switch to Python 3 (closes: #937544)
    - Switch to Qt5
    - Reenable tests

 -- Andreas Noteng <andreas@noteng.no>  Fri, 27 Dec 2019 23:39:18 +0100

pyspread (1.1.3-5) unstable; urgency=medium

  [ Andreas Noteng ]
  * Remove unused dependency python-gtk2 (Closes: #941876)

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.
  * Bump Standards-Version to 4.4.1.

 -- Andreas Noteng <andreas@noteng.no>  Sat, 02 Nov 2019 18:59:50 +0100

=== debian/control ===
Source: pyspread
Section: python
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 12.2.3),
               debhelper-compat (=12),
               dh-python,
               python3 (>= 3.6),
               python3-matplotlib (>= 1.1.1),
               python3-numpy (>= 1:1.1.0),
               python3-pyqt5,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://pyspread.gitlab.io/
Vcs-Git: https://salsa.debian.org/python-team/applications/pyspread.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/pyspread
Rules-Requires-Root: no

Package: pyspread
Architecture: all
Depends: gir1.2-pango-1.0,
         libcairo-gobject2,
         libpangocairo-1.0-0,
         python3,
         python3-cairo (>= 1.8.8),
         python3-matplotlib (>= 1.1.1),
         python3-numpy (>= 1:1.1.0),
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-enchant (>= 1.1),
            python3-jedi (>=0.8.0),
            python3-xlrd (>= 0.9.2),
            python3-xlwt (>= 0.9.2)
Suggests: ttf-mscorefonts-installer
Description: cross-platform Python spreadsheet application
 Pyspread is a cross-platform Python spreadsheet application. Instead of
 spreadsheet formulas, Python expressions are entered into the spreadsheet
 cells. Each expression returns a Python object that can be accessed from
 other cells. These objects can represent anything including lists or matrices.

=== debian/rules ===
#!/usr/bin/make -f
#PYVERS := $(shell pyversions -i)
#VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')

override_dh_auto_install:
	dh_auto_install
	mkdir debian/pyspread/usr/share/pyspread/share
	cp -R share/icons debian/pyspread/usr/share/pyspread/share/
#	rm -rf debian/pyspread/usr/share/pyspread/__init__.py
#	rm -rf debian/pyspread/usr/share/pyspread-*.egg-info
#	rm debian/pyspread/usr/share/pyspread/pyspread
	cp debian/pyspread/usr/share/pyspread/src/pyspread.py debian/pyspread/usr/share/pyspread/pyspread
	chmod 755 debian/pyspread/usr/share/pyspread/pyspread

export PYBUILD_NAME=pyspread
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyspread/ --install-scripts=/usr/share/pyspread --root=debian/pyspread
#export PYBUILD_DISABLE_python3=test

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

%:
	dh $@ --with python3 --buildsystem=pybuild --ext-sub-pattern=__pycache__

=== debian/watch ===
version=4
opts="pgpmode=next" \
  https://gitlab.com/pyspread/pyspread/tags \
  (?:.*/)@PACKAGE@-v@ANY_VERSION@\.tar\.gz

opts="pgpmode=previous" \
  https://gitlab.com/pyspread/pyspread/tags \
  (?:.*/)@PACKAGE@-v@ANY_VERSION@@SIGNATURE_EXT@ \
  previous

## pyspread 1.99.0.1

=== debian/changelog ===
pyspread (1.99.0.1-2) unstable; urgency=medium

  * Use path objects instead of path strings in patches (Closes: #949162)

 -- Andreas Noteng <andreas@noteng.no>  Fri, 17 Jan 2020 17:52:09 +0100

pyspread (1.99.0.1-1) unstable; urgency=medium

  * New upstream alpha release
  * Remove more old deps no longer needed
  * Update d/watch to correctly check for signed release tarballs

 -- Andreas Noteng <andreas@noteng.no>  Wed, 08 Jan 2020 20:51:46 +0100

=== debian/control ===
Source: pyspread
Section: python
Priority: optional
Maintainer: Andreas Noteng <andreas@noteng.no>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 12.2.3),
               debhelper-compat (=12),
               dh-python,
               python3 (>= 3.7),
               python3-matplotlib (>= 1.1.1),
               python3-numpy (>= 1:1.1.0),
               python3-pyqt5 (>=5.11.3),
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.1
Homepage: https://pyspread.gitlab.io/
Vcs-Git: https://salsa.debian.org/python-team/applications/pyspread.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/pyspread
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: pyspread
Architecture: all
Depends: python3 (>= 3.7),
         python3-numpy (>= 1:1.1.0),
         python3-pyqt5 (>=5.11.3),
         python3-pyqt5.qtsvg,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-enchant (>= 1.1), python3-matplotlib (>= 1.1.1)
Description: cross-platform Python spreadsheet application
 Pyspread is a cross-platform Python spreadsheet application. Instead of
 spreadsheet formulas, Python expressions are entered into the spreadsheet
 cells. Each expression returns a Python object that can be accessed from
 other cells. These objects can represent anything including lists or matrices.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 
 export PYBUILD_NAME=pyspread
 export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyspread/ --install-scripts=/usr/share/pyspread --root=debian/pyspread
-#export PYBUILD_DISABLE_python3=test
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Test-Command: sh debian/tests/runtests.sh
Depends: python3-matplotlib (>= 1.1.1),
         python3-numpy (>= 1:1.1.0),
         python3-pyqt5 (>=5.11.3),
         python3-pyqt5.qtsvg,
         python3-pytest,
         python3-setuptools,
         python3-pytest-xvfb,
         xvfb

=== debian/watch ===
version=4
opts=pgpmode=next \
https://gitlab.com/pyspread/downloads/blob/master/pre-releases/pyspread-(.+).tar.gz/ \
  /pyspread/downloads/raw/master/pre-releases/pyspread-(.+).tar.gz

opts=pgpmode=previous \
https://gitlab.com/pyspread/downloads/blob/master/pre-releases/pyspread-(.+).tar.gz.sig/ \
   /pyspread/downloads/raw/master/pre-releases/pyspread-(.+).tar.gz.sig previous

## pyspread 1.99.2

=== requirements.txt ===
# Mandatory
PyQt5 (>=5.10)
numpy (>=1.1)

# Optional
matplotlib (>=1.1.1)
pyenchant (>=1.1)
pip (>=18)

=== debian/changelog ===
pyspread (1.99.2-3) unstable; urgency=medium

  * Code highlighting in markdown rendering (Closes: #961313)
    - Added sun time dependency python3-pygments
  * Wrap-and-sort

 -- Andreas Noteng <andreas@noteng.no>  Sat, 23 May 2020 20:01:45 +0200

pyspread (1.99.2-2) unstable; urgency=medium

  * Source only upload
  * Switch d/watch back to gitlab and add signature checking
    (Signature check will fail with current source, but is expected to
    work with future upstream releases)
  * Bump compat level to 13 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 10 May 2020 20:40:29 +0200

pyspread (1.99.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.0 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sat, 09 May 2020 03:50:51 +0200

pyspread (1.99.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sun, 29 Mar 2020 14:03:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 12.2.3),
-               debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
                dh-python,
                python3 (>= 3.7),
                python3-matplotlib (>= 1.1.1),
@@ -12,7 +11,7 @@
                python3-pyqt5 (>=5.11.3),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://pyspread.gitlab.io/
 Vcs-Git: https://salsa.debian.org/python-team/applications/pyspread.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/pyspread
@@ -23,6 +22,7 @@
 Architecture: all
 Depends: python3 (>= 3.7),
          python3-numpy (>= 1:1.1.0),
+         python3-pygments,
          python3-pyqt5 (>=5.11.3),
          python3-pyqt5.qtsvg,
          ${misc:Depends},

=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*v(.*)\/.*/pyspread-v$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*(\~)*(rc)*(\d)*$/$1$3$4$5/, \
pgpsigurlmangle=s/pyspread\/-\/archive\/v(.+)\//downloads\/raw\/master\/releases\//; \
s/pyspread-v([^\/]+)\.tar\.gz/pyspread-$1\.tar\.gz/;\
s/$/.sig\?inline\=false/" \
https://gitlab.com/pyspread/pyspread/-/tags .*/pyspread-v(\d[\d.]*)\.tar\.gz debian

## pyspread 1.99.4

=== requirements.txt ===


=== debian/changelog ===
pyspread (1.99.4-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Bump to 1.99.4-2 so future Debian release won't override ours.
  * Control: add python3-dateutil to depends to fix launch error.
  * Control: add python3-enchant for spell checking capabilities.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 09 Oct 2020 10:28:56 -0400

pyspread (1.99.4-1) unstable; urgency=medium

  * New upstream release
  * Correctly verify download with signature (d/watch)

 -- Andreas Noteng <andreas@noteng.no>  Mon, 22 Sep 2020 07:58:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pyspread
 Section: python
 Priority: optional
-Maintainer: Andreas Noteng <andreas@noteng.no>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (=13),
                dh-python,
@@ -13,8 +14,8 @@
                python3-setuptools
 Standards-Version: 4.5.0
 Homepage: https://pyspread.gitlab.io/
-Vcs-Git: https://salsa.debian.org/python-team/applications/pyspread.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/pyspread
+Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 
@@ -25,9 +26,11 @@
          python3-pygments,
          python3-pyqt5 (>=5.11.3),
          python3-pyqt5.qtsvg,
+         python3-dateutil,
+         python3-enchant,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-enchant (>= 1.1), python3-matplotlib (>= 1.1.1)
+Recommends: python3-matplotlib (>= 1.1.1)
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of
  spreadsheet formulas, Python expressions are entered into the spreadsheet

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/\.tar?\.gz\?inline=false/\.tar\.gz\.sig\?inline=false/ \
https://pyspread.gitlab.io/install.html https://gitlab.com/pyspread/downloads/-/raw/master/releases/pyspread-(.+)\.tar\.gz\?inline=false

## pyspread 1.99.5

=== requirements.txt ===
# Mandatory
PyQt5 (>=5.10)
numpy (>=1.1)
setuptools (>=40.0)

# Optional
matplotlib (>=1.1.1)
pyenchant (>=1.1)
pip (>=18)

=== debian/changelog ===
pyspread (1.99.5-1) unstable; urgency=medium

  * New upstream release
  * Update watch file according to upstream web site

 -- Andreas Noteng <andreas@noteng.no>  Tue, 01 Dec 2020 18:41:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyspread
 Section: python
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
+Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper-compat (=13),
                dh-python,
@@ -26,11 +25,9 @@
          python3-pygments,
          python3-pyqt5 (>=5.11.3),
          python3-pyqt5.qtsvg,
-         python3-dateutil,
-         python3-enchant,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-matplotlib (>= 1.1.1)
+Recommends: python3-enchant (>= 1.1), python3-matplotlib (>= 1.1.1)
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of
  spreadsheet formulas, Python expressions are entered into the spreadsheet

=== debian/rules ===
#!/usr/bin/make -f
#PYVERS := $(shell pyversions -i)
#VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+]+).*,\1,p')

override_dh_auto_install:
	dh_auto_install
#	cp -R pyspread/share/icons debian/pyspread/usr/share/pyspread/share/
	chmod 755 debian/pyspread/usr/share/pyspread/pyspread/pyspread.py
	rm debian/pyspread/usr/share/pyspread/pyspread/share/LICENSE
	rm debian/pyspread/usr/share/pyspread/pyspread/share/templates/matplotlib/COPYING
	mv debian/pyspread/usr/share/pyspread/pyspread debian/pyspread/usr/share/pyspread/tmp
	mv debian/pyspread/usr/share/pyspread/tmp/* debian/pyspread/usr/share/pyspread/
	rm -rf debian/pyspread/usr/share/pyspread/tmp

export PYBUILD_NAME=pyspread
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyspread/ --install-scripts=/usr/share/pyspread --root=debian/pyspread

override_dh_auto_test:

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

%:
	dh $@ --with python3 --buildsystem=pybuild --ext-sub-pattern=__pycache__

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/\.tar?\.gz/\.tar\.gz\.sig/ \
https://pyspread.gitlab.io/install.html https://gitlab.com/pyspread/downloads/-/raw/master/releases/pyspread-(.+)\.tar\.gz

## pyspread 1.99.6

=== debian/changelog ===
pyspread (1.99.6-1ubuntu2) impish; urgency=medium

  * d/p/p-1937162-fix-big-endian-test.patch: fix tests on s390x (LP: #1937162)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 22 Jul 2021 08:06:26 +0200

pyspread (1.99.6-1ubuntu1) impish; urgency=medium

  * d/p/lp-1937058-Issue-92-Test-fix-test_on_font-to-tolerate-font-alia.patch:
    fix broken test in 1.99.6 (LP: #1937058)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 21 Jul 2021 12:14:02 +0200

pyspread (1.99.6-1) unstable; urgency=medium

  [ Andreas Noteng ]
  * Bump Standards-Version to 4.5.1 (no change)
  * New upstream release

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Andreas Noteng <andreas@noteng.no>  Wed, 31 Mar 2021 08:09:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: pyspread
 Section: python
 Priority: optional
-Maintainer: Andreas Noteng <andreas@noteng.no>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (=13),
                dh-python,
                python3 (>= 3.7),
@@ -11,7 +12,7 @@
                python3-pyqt5 (>=5.11.3),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pyspread.gitlab.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread

## pyspread 2.0.1

=== requirements.txt ===
# Mandatory
PyQt5 (>=5.10)
numpy (>=1.1)
setuptools (>=40.0)
markdown2 (>= 2.3)

# Optional
matplotlib (>=1.1.1)
pyenchant (>=1.1)
pip (>=18)
python-dateutil (>=2.7.0)

=== debian/changelog ===
pyspread (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0 (no change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 17 Oct 2021 07:29:51 +0200

pyspread (1.99.8-2) unstable; urgency=medium

  * Source only upload for migration to testing. 

 -- Andreas Noteng <andreas@noteng.no>  Sun, 17 Oct 2021 06:55:49 +0200

pyspread (1.99.8-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 16 Oct 2021 22:38:47 +0200

pyspread (1.99.7-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 14 Aug 2021 17:15:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyspread
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Noteng <andreas@noteng.no>
+Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (=13),
                dh-python,
@@ -12,7 +11,7 @@
                python3-pyqt5 (>=5.11.3),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pyspread.gitlab.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,14 @@
 	chmod 755 debian/pyspread/usr/share/pyspread/pyspread/pyspread.py
 	rm debian/pyspread/usr/share/pyspread/pyspread/share/LICENSE
 	rm debian/pyspread/usr/share/pyspread/pyspread/share/templates/matplotlib/COPYING
-	mv debian/pyspread/usr/share/pyspread/pyspread debian/pyspread/usr/share/pyspread/tmp
+	mkdir debian/pyspread/usr/share/pyspread/tmp
+	mv debian/pyspread/usr/share/pyspread/pyspread/* debian/pyspread/usr/share/pyspread/tmp/
+	rm -rf debian/pyspread/usr/share/pyspread/pyspread
 	mv debian/pyspread/usr/share/pyspread/tmp/* debian/pyspread/usr/share/pyspread/
 	rm -rf debian/pyspread/usr/share/pyspread/tmp
 
 export PYBUILD_NAME=pyspread
-export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyspread/ --install-scripts=/usr/share/pyspread --root=debian/pyspread
+export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/pyspread/ --install-scripts=/usr/share/pyspread/pyspread --root=debian/pyspread
 
 override_dh_auto_test:

## pyspread 2.1

=== debian/changelog ===
pyspread (2.1-3) unstable; urgency=medium

  * Add optional dependency py-moneyd

 -- Andreas Noteng <andreas@noteng.no>  Wed, 20 Apr 2022 15:08:03 +0200

pyspread (2.1-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Noteng <andreas@noteng.no>  Mon, 18 Apr 2022 23:26:06 +0200

pyspread (2.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Mon, 18 Apr 2022 22:48:05 +0200

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
          python3-pyqt5.qtsvg,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-enchant (>= 1.1), python3-matplotlib (>= 1.1.1)
+Recommends: python3-enchant (>= 1.1), python3-matplotlib (>= 1.1.1), python3-moneyed (>=2.0)
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of
  spreadsheet formulas, Python expressions are entered into the spreadsheet

## pyspread 2.1.1

=== requirements.txt ===
--- 
+++ 
@@ -9,3 +9,4 @@
 pyenchant (>=1.1)
 pip (>=18)
 python-dateutil (>=2.7.0)
+py-moneyed (>=2.0)

=== debian/changelog ===
pyspread (2.1.1-2) unstable; urgency=medium

  * Install upstream metainfo file and rename desktop file accordingly
  * Update d/copyright
  * Bump standards-version to 4.6.1 (no change)
  * Remove non-standard field homepage from d/upstream/metadata

 -- Andreas Noteng <andreas@noteng.no>  Sun, 20 Nov 2022 12:24:36 +0100

pyspread (2.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Sat, 19 Nov 2022 13:03:44 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Andreas Noteng <andreas@noteng.no>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (=13),
+               dh-exec,
                dh-python,
                python3 (>= 3.7),
                python3-matplotlib (>= 1.1.1),
@@ -11,7 +12,7 @@
                python3-pyqt5 (>=5.11.3),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pyspread.gitlab.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread
@@ -27,7 +28,9 @@
          python3-pyqt5.qtsvg,
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-enchant (>= 1.1), python3-matplotlib (>= 1.1.1), python3-moneyed (>=2.0)
+Recommends: python3-enchant (>= 1.1),
+            python3-matplotlib (>= 1.1.1),
+            python3-moneyed (>=2.0)
 Description: cross-platform Python spreadsheet application
  Pyspread is a cross-platform Python spreadsheet application. Instead of
  spreadsheet formulas, Python expressions are entered into the spreadsheet

## pyspread 2.2.3

=== requirements.txt ===
--- 
+++ 
@@ -10,3 +10,5 @@
 pip (>=18)
 python-dateutil (>=2.7.0)
 py-moneyed (>=2.0)
+rpy2 (>=3.4)
+plotnine (>=0.8)

=== apidocs/requirements.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 sphinxcontrib-blockdiag
 sphinxcontrib-napoleon
 
+sphinx-autodoc-typehints
 
 recommonmark
 sphinxbootstrap4theme

=== debian/changelog ===
pyspread (2.2.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2 (No change)

 -- Andreas Noteng <andreas@noteng.no>  Sun, 31 Dec 2023 19:13:29 +0100

pyspread (2.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Andreas Noteng <andreas@noteng.no>  Mon, 02 Oct 2023 09:47:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pyqt5 (>=5.11.3),
                python3-pytest,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pyspread.gitlab.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyspread.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyspread

=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,5 @@
          python3-pyqt5 (>=5.11.3),
          python3-pyqt5.qtsvg,
          python3-pytest,
-         python3-setuptools,
          python3-pytest-xvfb,
-         xvfb
+         python3-setuptools

=== debian/watch ===
version=4

https://gitlab.com/pyspread/pyspread/tags \
  (?:.*/)@PACKAGE@-v@ANY_VERSION@\.tar\.bz2

## pyspread 2.3.1

=== apidocs/requirements.txt ===
sphinx

sphinxcontrib-fulltoc
sphinxcontrib-autoprogram
sphinxcontrib-napoleon

sphinx-autodoc-typehints

recommonmark

=== debian/changelog ===
pyspread (2.3.1-3) unstable; urgency=medium

  * Team upload.
  * Don't install files to /usr/pyspread/ (closes: #1100081).

 -- Colin Watson <cjwatson@debian.org>  Sun, 16 Mar 2025 17:03:41 +0000

pyspread (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * d/watch: Cope with recent GitLab changes.

 -- Colin Watson <cjwatson@debian.org>  Tue, 11 Feb 2025 13:25:32 +0000

pyspread (2.3.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.3.1 (Closes: #1092790)
  * Set Team as Maintainer per new Team Policy
  * Use dh-sequence-python3
  * Add d/gbp.conf matching existing Salsa layout
  * Switch from Qt5 to Qt6

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 Jan 2025 19:50:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: pyspread
 Section: python
 Priority: optional
-Maintainer: Andreas Noteng <andreas@noteng.no>
-Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Andreas Noteng <andreas@noteng.no>,
 Build-Depends: debhelper-compat (=13),
                dh-exec,
-               dh-python,
+               dh-sequence-python3,
                python3 (>= 3.7),
                python3-matplotlib (>= 1.1.1),
                python3-numpy (>= 1:1.1.0),
-               python3-pyqt5 (>=5.11.3),
+               python3-pyqt6,
                python3-pytest,
                python3-setuptools
 Standards-Version: 4.6.2
@@ -24,8 +24,8 @@
 Depends: python3 (>= 3.7),
          python3-numpy (>= 1:1.1.0),
          python3-pygments,
-         python3-pyqt5 (>=5.11.3),
-         python3-pyqt5.qtsvg,
+         python3-pyqt6 (>=5.11.3),
+         python3-pyqt6.qtsvg,
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-enchant (>= 1.1),

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	rm -rf debian/pyspread/usr/pyspread
 #	cp -R pyspread/share/icons debian/pyspread/usr/share/pyspread/share/
 	chmod 755 debian/pyspread/usr/share/pyspread/pyspread/pyspread.py
 	rm debian/pyspread/usr/share/pyspread/pyspread/share/LICENSE
@@ -23,4 +24,4 @@
 	dh_python3 --shebang=/usr/bin/python3
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild --ext-sub-pattern=__pycache__
+	dh $@ --buildsystem=pybuild --ext-sub-pattern=__pycache__

=== debian/tests/control ===
Test-Command: sh debian/tests/runtests.sh
Depends: python3-matplotlib,
         python3-numpy,
         python3-pyqt6,
         python3-pyqt6.qtsvg,
         python3-pytest,
         python3-pytest-xvfb,
         python3-setuptools
